<?php
function is_post_request()
{
    if (filter_input(INPUT_SERVER, 'REQUEST_METHOD') === 'POST') {
        return true;
    } else {
        return false;
    }
}

function is_get_request()
{
    if (filter_input(INPUT_SERVER, 'REQUEST_METHOD') === 'GET') {
        return true;
    } else {
        return false;
    }
}

function chk_account($email)
{
    global $connection;
    $sql_pquery = "select count(NumCl) from CLIENTS where EmailCl = ?";
    $connection->prepare_query($sql_pquery);
    $connection->prepared_query_bind_param("s", array($email));
    $connection->run_prepared_query();
    $connection->get_pquery_result();
    $row = $connection->get_result_array();
    $connection->close_prepared_query();
    if (!empty($row[0])) {
        return true;
    } else {
        return false;
    }
}

function chk_password($email, $password)
{
    global $connection;
    $sql_pquery = "select PasswordCl from CLIENTS where EmailCl = ?";
    $connection->prepare_query($sql_pquery);
    $connection->prepared_query_bind_param("s", array($email));
    $connection->run_prepared_query();
    $connection->get_pquery_result();
    $row = $connection->get_result_array();
    $connection->close_prepared_query();
    if (password_verify($password, $row[0])) {
        return true;
    } else {
        return false;
    }
}

function chk_logged_in()
{
    if (isset($_SESSION['email'])) {
        return true;
    } else {
        return false;
    }
}

function redirect($url, $delay)
{
    header("refresh:$delay; url=$url");
}

?>
